https://www.docusign.com/v2.1/accounts/{accountId}/users/{userId}Retrieves the user information for the specified user. For example: ```json { "userName": "Tania Morales", "userId": "6b67a1ee-xxxx-xxxx-xxxx-385763624163", "userType": "CompanyUser", "isAdmin": "False", "isNAREnabled": "false", "userStatus": "Active", "uri": "/users/6b67a1ee-xxxx-xxxx-xxxx-385763624163", "email": "examplename42@orobia.net", "createdDateTime": "2019-04-01T22:11:56.4570000Z", "userAddedToAccountDateTime": "0001-01-01T08:00:00.0000000Z", "firstName": "Tania", "lastName": "Morales", "jobTitle": "", "company": "Company", "permissionProfileId": "12345678", "permissionProfileName": "DocuSign Viewer", "userSettings": {. . .}, "sendActivationOnInvalidLogin": "false", "enableConnectForUser": "false", "groupList": [. . .], "workAddress": {. . .}, "homeAddress": {. . .}, "signatureImageUri": "/users/6b67a1ee-xxxx-xxxx-xxxx-385763624163/signatures/0304c47b-xxxx-xxxx-xxxx-c9673963bb50/signature_image", "initialsImageUri": "/users/6b67a1ee-xxxx-xxxx-xxxx-385763624163/signatures/0304c47b-xxxx-xxxx-xxxx-c9673963bb50/initials_image", "defaultAccountId": "f636f297-xxxx-xxxx-xxxx-8e7a14715950" } ```
The external account number (int) or account ID GUID.
The ID of the user to access. **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.
Setting this parameter has no effect in this operation.
Setting this parameter has no effect in this operation.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/users/{userId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://www.docusign.com/v2.1/accounts/{accountId}/users/{userId}Retrieves the user information for the specified user. For example: ```json { "userName": "Tania Morales", "userId": "6b67a1ee-xxxx-xxxx-xxxx-385763624163", "userType": "CompanyUser", "isAdmin": "False", "isNAREnabled": "false", "userStatus": "Active", "uri": "/users/6b67a1ee-xxxx-xxxx-xxxx-385763624163", "email": "examplename42@orobia.net", "createdDateTime": "2019-04-01T22:11:56.4570000Z", "userAddedToAccountDateTime": "0001-01-01T08:00:00.0000000Z", "firstName": "Tania", "lastName": "Morales", "jobTitle": "", "company": "Company", "permissionProfileId": "12345678", "permissionProfileName": "DocuSign Viewer", "userSettings": {. . .}, "sendActivationOnInvalidLogin": "false", "enableConnectForUser": "false", "groupList": [. . .], "workAddress": {. . .}, "homeAddress": {. . .}, "signatureImageUri": "/users/6b67a1ee-xxxx-xxxx-xxxx-385763624163/signatures/0304c47b-xxxx-xxxx-xxxx-c9673963bb50/signature_image", "initialsImageUri": "/users/6b67a1ee-xxxx-xxxx-xxxx-385763624163/signatures/0304c47b-xxxx-xxxx-xxxx-c9673963bb50/initials_image", "defaultAccountId": "f636f297-xxxx-xxxx-xxxx-8e7a14715950" } ```
The external account number (int) or account ID GUID.
The ID of the user to access. **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.
Setting this parameter has no effect in this operation.
Setting this parameter has no effect in this operation.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/users/{userId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}